# Form implementation generated from reading ui file 'src/eric7/WebBrowser/Feeds/FeedEditDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_FeedEditDialog(object):
    def setupUi(self, FeedEditDialog):
        FeedEditDialog.setObjectName("FeedEditDialog")
        FeedEditDialog.resize(475, 114)
        FeedEditDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(FeedEditDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=FeedEditDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=FeedEditDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.titleEdit = QtWidgets.QLineEdit(parent=FeedEditDialog)
        self.titleEdit.setObjectName("titleEdit")
        self.gridLayout.addWidget(self.titleEdit, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=FeedEditDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.urlEdit = QtWidgets.QLineEdit(parent=FeedEditDialog)
        self.urlEdit.setObjectName("urlEdit")
        self.gridLayout.addWidget(self.urlEdit, 2, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=FeedEditDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(FeedEditDialog)
        self.buttonBox.accepted.connect(FeedEditDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(FeedEditDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(FeedEditDialog)
        FeedEditDialog.setTabOrder(self.titleEdit, self.urlEdit)
        FeedEditDialog.setTabOrder(self.urlEdit, self.buttonBox)

    def retranslateUi(self, FeedEditDialog):
        _translate = QtCore.QCoreApplication.translate
        FeedEditDialog.setWindowTitle(_translate("FeedEditDialog", "Edit Feed Data"))
        self.label.setText(_translate("FeedEditDialog", "Fill title and URL of a feed:"))
        self.label_2.setText(_translate("FeedEditDialog", "Feed title:"))
        self.titleEdit.setToolTip(_translate("FeedEditDialog", "Enter the title of the feed"))
        self.label_3.setText(_translate("FeedEditDialog", "Feed URL:"))
        self.urlEdit.setToolTip(_translate("FeedEditDialog", "Enter the URL of the feed"))
